%define MAJver %(echo %version | cut -d. -f 1)
%define majver %(echo %version | cut -d. -f 1-2)
%define pkgver %(echo %version | cut -d. -f 1-3)
%define instdir      %{_libdir}
%define baseinstdir  %{instdir}/libreoffice
%define ureinstdir   %{baseinstdir}/ure
%define basisinstdir %{baseinstdir}/basis%{majver}
%define sdkinstdir   %{baseinstdir}/basis%{majver}/sdk
%define fontname     opensymbol
%define fontdir      %{_datadir}/fonts/%{fontname}
%define download_mirror download.documentfoundation.org

# later versions of hsqldb changed the file format,
# so if we use a later version we loose
# backwards compatability.
%define with_system_hsqldb 1
%define with_system_saxon9 1

%define with_test          0
%define langpacks          1

Name:          libreoffice
Version:       7.2.2.2
Release:       1mamba
Summary:       Free Office Suite
Group:         Graphical Desktop/Applications/Office
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.libreoffice.org/
Source0:       http://download.documentfoundation.org/libreoffice/src/%{pkgver}/libreoffice-%{version}.tar.xz
Source2:       http://download.documentfoundation.org/libreoffice/src/%{pkgver}/libreoffice-dictionaries-%{version}.tar.xz
Source3:       http://download.documentfoundation.org/libreoffice/src/%{pkgver}/libreoffice-help-%{version}.tar.xz
Source4:       http://download.documentfoundation.org/libreoffice/src/%{pkgver}/libreoffice-translations-%{version}.tar.xz
Source5:       libreoffice-4.1.3.2-openmamba-branding.tar.gz
#Source20:      http://tools.openoffice.org/unowinreg_prebuild/680/unowinreg.dll
Source21:      mamba-langpacks.tar.gz
Source22:      libreoffice-multiliblauncher.sh
Source23:      http://dev-www.libreoffice.org/src/0168229624cfac409e766913506961a8-ucpp-1.3.2.tar.gz
Source24:      http://dev-www.libreoffice.org/src/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip
Source25:      http://dev-www.libreoffice.org/src/185d60944ea767075d27247c3162b3bc-unowinreg.dll
Source26:      http://dev-www.libreoffice.org/src/CoinMP-1.7.6.tgz
Source27:      http://dev-www.libreoffice.org/src/ce12af00283eb90d9281956524250d6e-xmlsec1-1.2.20.tar.gz
Source28:      http://dev-www.libreoffice.org/src/OpenCOLLADA-master-6509aa13af.tar.bz2
Source29:      http://dev-www.libreoffice.org/src/35c94d2df8893241173de1d16b6034c0-swingExSrc.zip
Source30:      http://dev-www.libreoffice.org/src/libgltf/libgltf-0.0.2.tar.bz2
Source31:      http://dev-www.libreoffice.org/src/4b87018f7fff1d054939d19920b751a0-collada2gltf-master-cb1d97788a.tar.bz2
Source32:      http://dev-www.libreoffice.org/src/pdfium-4500.tar.bz2
Source33:      https://dev-www.libreoffice.org/extern/8249374c274932a21846fa7629c2aa9b-officeotron-0.7.4-master.jar
Source34:      https://dev-www.libreoffice.org/extern/odfvalidator-1.2.0-incubating-SNAPSHOT-jar-with-dependencies+ODFTOOLKIT-460+ODFTOOLKIT-475.jar
Source35:      https://dev-www.libreoffice.org/extern/f543e6e2d7275557a839a164941c0a86e5f2c3f2a0042bfc434c88c6dde9e140-opens___.ttf
Source36:      https://dev-www.libreoffice.org/src/dtoa-20180411.tgz
Source37:      https://dev-www.libreoffice.org/src/skia-m90-45c57e116ee0ce214bdf78405a4762722e4507d9.tar.xz
Source38:      https://dev-www.libreoffice.org/src/libcmis-0.5.2.tar.xz
Patch12:       libreoffice-installfix.patch
Patch39:       libreoffice-5.1.1.1-gcc-5.3-std-isnan.patch
Patch40:       libreoffice-5.1.3.2-x86-cppunit.patch
Patch41:       libreoffice-6.0.5.1-libicu-61.1.patch
Patch42:       libreoffice-6.0.5.1-upstream-glm.patch
Patch43:       libreoffice-6.1.2.1-boost-1.69.patch
Patch44:       libreoffice-6.4.0.3-libpoppler-0.84.0.patch
Patch45:       libreoffice-6.4.3.2-build-workaround-fix-deleteTestDirectory-failed-assert.patch
Patch46:       libreoffice-6.4.3.2-libpoppler-0.87.patch
Patch47:       libreoffice-7.2.0.4-libfreetype-2.11.0.patch
License:       BSD, Common Development and Distribution License 1.0, GPL, LGPL, MPL 1.1, Netscape, Public Domain
## AUTOBUILDREQ-BEGIN
BuildRequires: firebird-devel
BuildRequires: glibc-devel
%ifnarch aarch64
BuildRequires: java-openjdk8
%endif
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libabw-devel
BuildRequires: libatk-devel
BuildRequires: libatlas-devel
BuildRequires: libboost-devel
BuildRequires: libbox2d-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libcdr-devel
BuildRequires: libclucene-devel
BuildRequires: libcmis-devel
BuildRequires: libcoinmp-devel
BuildRequires: libcups-devel
BuildRequires: libcurl-devel
BuildRequires: libdbus-devel
BuildRequires: libdconf-devel
BuildRequires: libe-book-devel
BuildRequires: libepoxy-devel
BuildRequires: libepubgen-devel
BuildRequires: libetonyek-devel
BuildRequires: libexpat-devel
BuildRequires: libexttextcat-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreehand-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgpgme-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libhunspell-devel
BuildRequires: libhyphen-devel
BuildRequires: libicu-devel
BuildRequires: libjpeg-devel
BuildRequires: libkconfig-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkio-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: liblangtag-devel
BuildRequires: liblcms2-devel
BuildRequires: liblp_solve-devel
BuildRequires: libltdl-devel
BuildRequires: liblzma-devel
BuildRequires: libmariadb-devel
BuildRequires: libmspub-devel
BuildRequires: libmwaw-devel
BuildRequires: libmythes-devel
BuildRequires: libneon-devel
BuildRequires: libnspr-devel
BuildRequires: libnss-devel
BuildRequires: libnumbertext-devel
BuildRequires: libodfgen-devel
BuildRequires: libopenldap-devel
BuildRequires: libopenssl-devel
BuildRequires: liborcus-devel
BuildRequires: libpagemaker-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: libpoppler-devel
BuildRequires: libpostgresql-devel
BuildRequires: libpython39-devel
BuildRequires: libqt5-devel
BuildRequires: libqxp-devel
BuildRequires: libraptor2-devel
BuildRequires: librdf-devel
BuildRequires: librevenge-devel
BuildRequires: libstaroffice-devel
BuildRequires: libstdc++6-devel
BuildRequires: libvisio-devel
BuildRequires: libwpd-devel
BuildRequires: libwpg-devel
BuildRequires: libwps-devel
BuildRequires: libxcb-devel
BuildRequires: libxcb-util-wm-devel
BuildRequires: libxml2-devel
BuildRequires: libxmlsec1-devel
BuildRequires: libxslt-devel
BuildRequires: libz-devel
BuildRequires: libzmf-devel
## AUTOBUILDREQ-END
BuildRequires: java-environment >= 9
BuildRequires: dejavu-fonts-ttf
BuildRequires: hunspell-en
BuildRequires: hunspell-it
BuildRequires: hyphen-en
BuildRequires: hyphen-it
BuildRequires: unzip
BuildRequires: autoconf
BuildRequires: bc
BuildRequires: binutils
BuildRequires: bison
BuildRequires: desktop-file-utils
BuildRequires: findutils
BuildRequires: flex
BuildRequires: gcc-c++
BuildRequires: gperf
BuildRequires: icu
BuildRequires: make
BuildRequires: mkfontdir
BuildRequires: mkfontscale
BuildRequires: rsync
BuildRequires: tcsh
BuildRequires: xpdf
BuildRequires: zip
BuildRequires: translate-toolkit
BuildRequires: dejavu-fonts-ttf
BuildRequires: liberation-fonts-ttf
BuildRequires: sil-gentium-basic-fonts
BuildRequires: mono-devel 
#BuildRequires: mysql-connector-c++-devel
BuildRequires: openclipart
BuildRequires: pam-devel
BuildRequires: perl-Archive-Zip
BuildRequires: perl-Compress-Zlib
BuildRequires: xorg-server-devel
BuildRequires: xproto-devel
BuildRequires: xulrunner-devel
BuildRequires: npapi-sdk-devel
# java stuff
%if %with_system_hsqldb
BuildRequires: java-hsqldb1 < 1.8.1
%endif
BuildRequires: java-bsh2 >= 2.0b4
%ifnarch aarch64
BuildRequires: apache-ant
#BuildRequires: java-pentaho-libxml
#BuildRequires: java-flute
#BuildRequires: java-pentaho-reporting-flow-engine
BuildRequires: xerces-j2
BuildRequires: xalan-j2
BuildRequires: xml-commons-apis
BuildRequires: apache-ant-regexp
BuildRequires: jakarta-commons-codec == 1.3
BuildRequires: jakarta-commons-httpclient == 3.1
BuildRequires: jakarta-commons-lang == 2.3
BuildRequires: jakarta-commons-logging == 1.1.1
#BuildRequires: java-lucene
#BuildRequires: java-lucene-contrib
#BuildRequires: java-junit48
BuildRequires: postgresql-jdbc
%if %with_system_saxon9
BuildRequires: java-saxon9 >= 9.1.0.7
%endif
%endif
BuildRequires: hunspell-es
BuildRequires: hyphen-es
BuildRequires: mythes-es
BuildRequires: mythes-it
BuildRequires: valgrind
BuildRequires: python-lxml-py3
# Past added library requirements that maybe no longer required
#BuildRequires: libSampleICC-devel
#BuildRequires: libmdds0-devel >= 0.8
#BuildRequires: libixion-devel >= 0.5
BuildRequires: libglm-devel
BuildRequires: libgltf-devel
BuildRequires: libqrcodegen-devel
BuildRequires: libmdds-devel
BuildRequires: libbonobo-devel
BuildRequires: libcppunit-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libevolution-data-server-devel
BuildRequires: libGLU-devel
BuildRequires: libgnome-vfs-devel
BuildRequires: libidn-devel
BuildRequires: libodbc-devel
BuildRequires: libpoppler-glib-devel
#BuildRequires: libportaudio-devel
#BuildRequires: libpython-devel
#BuildRequires: libsablotron-devel
BuildRequires: libsane-backends-devel
#BuildRequires: libsilgraphite-devel
BuildRequires: libvigra-devel
BuildRequires: libmdb-devel
#BuildRequires: mdbtools

%description
LibreOffice is an Open Source, community-developed, office productivity suite.
It includes the key desktop applications, such as a word processor, spreadsheet, presentation manager, formula editor and drawing program, with a user interface and feature set similar to other office suites.
Sophisticated and flexible, LibreOffice also works transparently with a variety of file formats, including Microsoft Office File Formats.

%package core
Summary:       Core modules for LibreOffice
Group:         Graphical Desktop/Applications/Office
Requires:      dejavu-fonts-ttf
Requires:      liberation-fonts-ttf
Requires:      hunspell-en
Requires:      hyphen-en
%if %with_system_saxon9
Requires:      java-saxon9 == 9.1.0.7
%endif
Requires:      libgtk
#   < 3.3.1
Provides:      %{name}-graphicfilter
Obsoletes:     %{name}-graphicfilter < 7.1.2.2
Provides:      %{name}-kde
Obsoletes:     %{name}-kde < 7.1.2.2
Provides:      OpenOffice-common
Obsoletes:     OpenOffice-common < 7.1.2.2

%description core
The shared core libraries and support files for LibreOffice.

%package pyuno
Summary:       Python support for LibreOffice
Group:         Development/Libraries/Python
Requires:      %{name}-core = %{version}-%{release}
Requires:      python
Obsoletes:     OpenOffice-pyuno < 7.1.2.2
Provides:      libreoffice-pythonscript
Obsoletes:     libreoffice-pythonscript < 7.1.2.2

%description pyuno
Python bindings for the LibreOffice UNO component model. Allows scripts both external to LibreOffice and within the internal LibreOffice scripting framework to be written in python.

%package base
Summary:       Database front-end for LibreOffice
Group:         Graphical Desktop/Applications/Office
%if %with_system_hsqldb
Requires:      java-hsqldb1 < 1.8.1
%endif
Requires:      postgresql-jdbc
Requires:      %{name}-core = %{version}-%{release}
Requires:      %{name}-calc = %{version}-%{release}
Provides:      %{name}-reportdesign
Obsoletes:     %{name}-reportdesign < 7.1.2.2
Obsoletes:     OpenOffice-Base < 7.1.2.2

%description base
GUI database front-end for LibreOffice. Allows creation and management of databases through a GUI.

%package report-builder
Summary:       Create database reports from LibreOffice
Group:         Graphical Desktop/Applications/Office
Requires:      java-pentaho-reporting-flow-engine
Requires:      %{name}-base = %{version}-%{release}
Requires:      %{name}-core

%description report-builder
Creates database reports from LibreOffice databases. The report builder can define group and page headers as well as group, page footers and calculation fields to accomplish complex database reports.

%package bsh
Summary:       BeanShell support for LibreOffice
Group:         Development/Libraries/Java
Requires:      java-bsh2
Requires:      %{name}-core = %{version}-%{release}

%description bsh
Support BeanShell scripts in LibreOffice.

%package rhino
Summary:       JavaScript support for LibreOffice
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}

%description rhino
Support JavaScript scripts in LibreOffice.

%package ogltrans
Summary:       3D OpenGL slide transitions for LibreOffice
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-impress = %{version}-%{release}
Requires:      %{name}-core

%description ogltrans
OpenGL Transitions enable 3D slide transitions to be used in LibreOffice.
Requires good quality 3D support for your graphics card for best experience.

%package writer
Summary:       LibreOffice Word Processor Application
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}
#Requires:      %{name}-ure = %{version}-%{release}
Obsoletes:     OpenOffice-Writer < 7.1.2.2

%description writer
The LibreOffice Word Processor application.

%package mailmerge
Summary:       Email mail-merge component for LibreOffice
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-writer = %{version}-%{release}
Requires:      %{name}-pyuno = %{version}-%{release}
Obsoletes:     OpenOffice-mailmerge < 7.1.2.2

%description mailmerge
Enables the LibreOffice writer module to mail-merge to email.

%package calc
Summary:       LibreOffice Spreadsheet Application
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-Calc < 7.1.2.2

%description calc
The LibreOffice Spreadsheet application.

%package draw
Summary:       LibreOffice Drawing Application
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}
Requires:      %{name}-graphicfilter = %{version}-%{release}
Obsoletes:     OpenOffice-Draw < 7.1.2.2

%description draw
The LibreOffice Drawing Application.

%package kit
Summary:       LibreOffice Kit
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}

%description kit
The LibreOffice Kit.

%package impress
Summary:       LibreOffice Presentation Application
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-Impress < 7.1.2.2
Provides:      %{name}-ogltrans
Obsoletes:     %{name}-ogltrans < 7.1.2.2

%description impress
The LibreOffice Presentation Application.

%package math
Summary:       LibreOffice Equation Editor Application
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-Math < 7.1.2.2

%description math
The LibreOffice Equation Editor Application.

%package filters
Summary:       Optional filters module for LibreOffice
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}
Provides:      %{name}-xsltfilter
Obsoletes:     %{name}-xsltfilter < 7.1.2.2
Provides:      %{name}-javafilter
Obsoletes:     %{name}-javafilter < 7.1.2.2
Obsoletes:     OpenOffice-filters < 7.1.2.2

%description filters
The xsltfilter module for LibreOffice, provides the following additional filters:
- additional docbook and xhtml export transforms. Install this to enable docbook export.
- additional AportisDoc, Pocket Excel and Pocket Word import filters.

%package testtools
Summary:       Testtools for LibreOffice
Group:         Development/Tools
Requires:      %{name}-core = %{version}-%{release}
Requires:      %{name}-writer = %{version}-%{release}
Requires:      %{name}-calc = %{version}-%{release}
Requires:      %{name}-draw = %{version}-%{release}
Requires:      %{name}-impress = %{version}-%{release}
Requires:      %{name}-base = %{version}-%{release}
Requires:      %{name}-math = %{version}-%{release}
Obsoletes:     OpenOffice-testtool < 7.1.2.2

%description testtools
QA tools for LibreOffice, enables automated testing.

%package reportbuilder
Summary:       LibreOffice Report builder optional extension
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}

%description reportbuilder
The LibreOffice Report builder optional extension.

%package presenter-screen
Summary:       LibreOffice presenter screen optional extension
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}

%description presenter-screen
The LibreOffice presenter screen builder optional extension.

%package presentation-minimizer
Summary:       LibreOffice presentation minimizer optional extension
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}

%description presentation-minimizer
The LibreOffice presentation minimizer optional extension.

%package postgresql
Summary:       LibreOffice postgresql optional extension
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}

%description postgresql
The LibreOffice postgresql optional extension.

%package pdfimport
Summary:       LibreOffice PDF import optional extension
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}

%description pdfimport
The LibreOffice PDF import optional extension.

%package pythonscript
Summary:       LibreOffice script provider for Python optional extension
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}

%description pythonscript
The LibreOffice script provider for Python optional extension.

%package sdk
Summary:       Software Development Kit for LibreOffice
Group:         Development/Tools
Requires:      %{name}-core = %{version}-%{release}
Requires:      unzip

%description sdk
The LibreOffice SDK is an add-on for the LibreOffice office suite. It provides the necessary tools for programming using the LibreOffice APIs and for creating extensions (UNO components) for LibreOffice.  To set the build environment for building against the sdk use %{sdkinstdir}/setsdkenv_unix.sh.

%package sdk-doc
Summary:       Software Development Kit documentation for LibreOffice
Group:         Documentation
Requires:      %{name}-sdk = %{version}-%{release}

%description sdk-doc
This provides documentation for programming using the LibreOffice APIs and examples of creating extensions (UNO components) for LibreOffice.

%package kde
Summary:       LibreOffice KDE integration plug-in
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-KDE < 7.1.2.2

%description kde
A plug-in for LibreOffice that enables integration into the KDE desktop environment.

%package gnome
Summary:       LibreOffice GNOME integration plug-in
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}

%description gnome
A plug-in for LibreOffice that enables integration into the GNOME desktop environment.

%debug_package

%prep
%setup -q -b 2 -b 3 -b4 -a5
#% setup -q -c -T -D
#:<< ____EOF

#rm -rf libreoffice-*/git-hooks
#for a in libreoffice-*/*; do mv $PWD/$a .; done
##remove "debugging" translations
#rm -rf l10n/source/kid

#mv translations src

#%patch12 -p1 -b .libreoffice-installfix.patch
#%patch45 -p1
#%patch46 -p1
%patch47 -p1

touch scripting/source/pyprov/delzip
#touch scripting/util/provider/beanshell/delzip
#touch scripting/util/provider/javascript/delzip

mkdir -p ext_sources
#cp %{SOURCE20} ext_sources/185d60944ea767075d27247c3162b3bc-unowinreg.dll
#ln -s %{SOURCE4} ext_sources
ln -s %{SOURCE23} ext_sources
ln -s %{SOURCE24} ext_sources
# unowinreg.dll must be a file not a symlink or the result will become a broken symlink
cp %{SOURCE25} ext_sources/
ln -s %{SOURCE26} ext_sources
ln -s %{SOURCE27} ext_sources
ln -s %{SOURCE28} ext_sources
ln -s %{SOURCE29} ext_sources
ln -s %{SOURCE30} ext_sources
ln -s %{SOURCE31} ext_sources
ln -s %{SOURCE32} ext_sources
ln -s %{SOURCE33} ext_sources
ln -s %{SOURCE34} ext_sources
ln -s %{SOURCE35} ext_sources
ln -s %{SOURCE36} ext_sources
ln -s %{SOURCE37} ext_sources
ln -s %{SOURCE38} ext_sources

chmod +x bin/unpack-sources

# FIXME: 5.0.4.2 workaround for test failing
if [ -e writerperfect/qa/unit/data/impress/libetonyek/fail/v6.zip ]; then \
  mv writerperfect/qa/unit/data/impress/libetonyek/fail/v6.zip \
     writerperfect/qa/unit/data/impress/libetonyek/pass/v6.zip
fi

## FIXME: WORKAROUND: disable failing tests
#sed -i -e "\
#/CppunitTest_emfio_emf_test/d;\
# ...
#" emfio/Module_emfio.mk sd/Module_sd.mk sc/Module_sc.mk sw/Module_sw.mk \
#  xmlsecurity/Module_xmlsecurity.mk chart2/Module_chart2.mk \
#  tools/Module_tools.mk sccomp/Module_sccomp.mk svx/Module_svx.mk

%build
#:<< _EOF
export JAVA_HOME=%{java_home}
export JAVACMD=%{java_home}/bin/java

#:<< ___EOF

#./autogen.sh

%configure \
  --enable-release-build \
  --disable-fetch-external \
  --disable-debug \
  --with-vendor="%{distribution}" \
  --with-build-version="Ver: %{version}-%{release}" \
  --with-branding=`pwd`/branding \
  --disable-epm \
  --enable-gio \
  --enable-evolution2 \
  --enable-dbus \
  --enable-qt5 \
  --enable-kf5 \
  --with-system-libs \
  --with-system-headers \
  --with-system-mythes \
  --with-system-dicts \
  --with-external-dict-dir=%{_datadir}/myspell \
  --with-external-hyph-dir=%{_datadir}/hyphen \
  --with-external-thes-dir=%{_datadir}/mythes \
  --without-myspell-dicts \
  --without-fonts \
  --with-lang=ALL \
  --with-external-tar=$PWD/ext_sources \
  --with-system-mdds \
%if %with_system_hsqldb
  --with-system-hsqldb \
  --with-hsqldb-jar=$(build-classpath hsqldb-1.8.0.10) \
%else
  --without-system-hsqldb \
%endif
  --with-ant-home=%{_datadir}/apache-ant \
  --with-system-apache-commons \
  --with-system-jfreereport \
  --with-jdk-home=$JAVA_HOME \
  --with-system-beanshell \
  --with-beanshell-jar=$(build-classpath bsh) \
  --with-system-libwpd \
  --with-system-libwpg \
  --with-system-libwps \
  PYTHON=%{__python3} \
  --with-system-boost \
  --with-system-cairo \
  --with-system-clucene \
  --with-system-curl \
  --with-system-expat \
  --with-system-icu \
  --with-system-neon \
  --with-system-neon \
  --with-system-redland \
  --with-system-zlib \
  --with-system-openssl \
  --with-system-graphite \
  --without-system-libcmis \
  --enable-split-app-modules \
  --enable-split-opt-features

#  --enable-symbols \
#  --enable-graphite \
#  --with-system-mozilla=libxul \
#  --with-unix-wrapper=%{name} \
#  --disable-mathmldtd \
#  --with-vba-package-format="builtin" \
#  --with-system-mysql \
#  --without-afms \
#  --with-intro-bitmap=%{SOURCE32} \
#  --with-intro-progressbar-position=60,316 \
#  --with-intro-progressbar-size=409,8 \

#___EOF

for i in $RPM_OPT_FLAGS; do
        case "$i" in
                -O?|-pipe|-Wall|-g|-fexceptions) continue;;
        esac
        ARCH_FLAGS="$ARCH_FLAGS $i"
done
export ARCH_FLAGS

%make build-nocheck

make -C cli_ure
#make -C unoil

##generate the icons and mime type stuff
#export DESTDIR=../../../output
#export ICON_SOURCE_DIR=../icons
##export KDEMAINDIR=%{_kde4_prefix}
#export KDEMAINDIR=%{_prefix}
#export GNOMEDIR=%{_prefix}
#export GNOME_MIME_THEME=hicolor
#
#cd sysui/desktop/share
#./create_tree.sh

echo build end time is `date`, diskspace: `df -h . | tail -n 1`

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

# Workaround for: ERROR: Include file cliuhttp://www.lastampa.it/reversion.mk not found!
make distro-pack-install DESTDIR=%{buildroot}

#sed -i "s|\[|*|;s|\]|*|" file-lists/sdk_doc_list.txt
sed -i "s|%{_libdir}/libreoffice/help/bn-IN.*||" file-lists/lang_bn_IN_list.txt

# NOTE: if the following installation error occurs:
#
#: ERROR: Missing files
#: in function: remove_Files_Without_Sourcedirectory
#: ***************************************************************
#
# remove the file from: unxlngi6.pro/bin/setup_osl.ins

export `grep "^PRODUCTVERSIONSHORT =" solenv/inc/productversion.mk | sed -e "s/ //g"`
export `grep "PRODUCTVERSION[ ]*=[ ]*" solenv/inc/productversion.mk | sed -e "s/ //g"`

find %{buildroot}%{baseinstdir} -exec chmod +w {} \;
find %{buildroot}%{baseinstdir} -type d -exec chmod 0755 {} \;

pic=0
executable=0
for foo in `find %{buildroot}%{instdir} -name "*" -exec file {} \;| grep ": ELF" | cut -d: -f 1` ; do
    chmod +wx $foo
    ls -asl $foo
    result=`readelf -d $foo | grep TEXTREL` || true
    if [ "$result" != "" ]; then
        echo "TEXTREL Warning: $foo is b0rked (-fpic missing)"
        pic=1
    fi
    result=`readelf -l $foo | grep GNU_STACK | grep RWE` || true
    if [ "$result" != "" ]; then
        echo "GNU_STACK Warning: $foo is b0rked (-noexecstack missing)"
        executable=1
    fi
done
if [ $pic == 1 ]; then false; fi
if [ $executable == 1 ]; then false; fi

#ln -s %{baseinstdir}/program/soffice %{buildroot}%{_bindir}/libreoffice$PRODUCTVERSION

(cd %{buildroot}%{baseinstdir}/share/xdg/
chmod u+w *.desktop
#rm -rf printeradmin.desktop
for file in *.desktop; do
    sed -i -e "s/Icon=libreoffice$PRODUCTVERSIONSHORT/Icon=libreoffice/g" $file
    echo X-GIO-NoFuse=true >> $file
done
echo "StartupNotify=true" >> base.desktop
echo "StartupNotify=true" >> calc.desktop
echo "StartupNotify=true" >> impress.desktop
echo "StartupNotify=true" >> writer.desktop
echo "StartupNotify=true" >> math.desktop
echo "StartupNotify=true" >> draw.desktop
echo "TryExec=lobase" >> base.desktop
echo "TryExec=localc" >> calc.desktop
echo "TryExec=loimpress" >> impress.desktop
echo "TryExec=lowriter" >> writer.desktop
echo "TryExec=lomath" >> math.desktop
echo "TryExec=lodraw" >> draw.desktop
echo "NoDisplay=true" >> math.desktop
echo "NoDisplay=true" >> startcenter.desktop
#sed -i -e "/NoDisplay=true/d" qstart.desktop
)

%if %with_test
%check
source ./Linux*Env.Set.sh
cd test
build && deliver -link
cd ../smoketestoo_native
##JFW_PLUGIN_DO_NOT_CHECK_ACCESSIBILITY="1" works around flawed accessibility check
##SAL_USE_VCLPLUGIN="svp" uses the headless plugin for these tests
JFW_PLUGIN_DO_NOT_CHECK_ACCESSIBILITY="1" SAL_USE_VCLPLUGIN="svp" timeout -k 2m 2h build.pl
%endif

#cat file-lists/kde_list.txt >> file-lists/kde4_list.txt

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post core
update-mime-database -n %{_datadir}/mime &> /dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  for theme in hicolor locolor; do
    if test -d "%{_datadir}/icons/$theme"; then
      if test -f "%{_datadir}/icons/$theme/index.theme"; then
        touch --no-create %{_datadir}/icons/$theme
        gtk-update-icon-cache -q %{_datadir}/icons/$theme
      fi
    fi
  done
fi

%postun core
update-mime-database -n %{_datadir}/mime &> /dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  for theme in hicolor locolor; do
    if test -d "%{_datadir}/icons/$theme"; then
      if test -f "%{_datadir}/icons/$theme/index.theme"; then
        touch --no-create %{_datadir}/icons/$theme
        gtk-update-icon-cache -q %{_datadir}/icons/$theme
      fi
    fi
  done
fi

%post base
update-desktop-database %{_datadir}/applications &> /dev/null || :

%postun base
update-desktop-database %{_datadir}/applications &> /dev/null || :

%post calc
update-desktop-database %{_datadir}/applications &> /dev/null || :

%postun calc
update-desktop-database %{_datadir}/applications &> /dev/null || :

%post draw
update-desktop-database %{_datadir}/applications &> /dev/null || :

%postun draw
update-desktop-database %{_datadir}/applications &> /dev/null || :

%post writer
update-desktop-database %{_datadir}/applications &> /dev/null || :

%postun writer
update-desktop-database %{_datadir}/applications &> /dev/null || :

%post impress
update-desktop-database %{_datadir}/applications &> /dev/null || :

%postun impress
update-desktop-database %{_datadir}/applications &> /dev/null || :

%post math
update-desktop-database %{_datadir}/applications &> /dev/null || :

%postun math
update-desktop-database %{_datadir}/applications &> /dev/null || :

%files core -f file-lists/common_list.txt
%defattr(-,root,root)
%{_datadir}/metainfo/org.libreoffice.kde.metainfo.xml
%{_libdir}/libreoffice/program/libkf5be1lo.so
%{_libdir}/libreoffice/program/libvclplug_kf5lo.so
%{_libdir}/libreoffice/program/libvclplug_qt5lo.so

%files base -f file-lists/base_list.txt
%defattr(-,root,root)
%{_datadir}/metainfo/libreoffice-base.appdata.xml

%files calc -f file-lists/calc_list.txt
%defattr(-,root,root)
%{_datadir}/metainfo/libreoffice-calc.appdata.xml

%files draw -f file-lists/draw_list.txt
%defattr(-,root,root)
%{_datadir}/metainfo/libreoffice-draw.appdata.xml

%files writer -f file-lists/writer_list.txt
%defattr(-,root,root)
%{_datadir}/metainfo/libreoffice-writer.appdata.xml

%files impress -f file-lists/impress_list.txt
%defattr(-,root,root)
%{_datadir}/metainfo/libreoffice-impress.appdata.xml

%files math -f file-lists/math_list.txt
%defattr(-,root,root)

%files filters -f file-lists/filters_list.txt
%defattr(-,root,root)

%files gnome -f file-lists/gnome_list.txt
%defattr(-,root,root)

%files mailmerge -f file-lists/mailmerge_list.txt
%defattr(-,root,root)

%files pyuno -f file-lists/pyuno_list.txt
%defattr(-,root,root)

%files kit -f file-lists/orig/gid_Module_Libreofficekit
%defattr(-,root,root)

#%files reportbuilder -f file-lists/orig/gid_Module_Optional_Extensions_REPORTDESIGN
#%defattr(-,root,root)

#%files presenter-screen -f file-lists/orig/gid_Module_Optional_Extensions_PRESENTER_SCREEN
#%defattr(-,root,root)

#%files presentation-minimizer -f file-lists/orig/gid_Module_Optional_Extensions_MINIMIZER
#%defattr(-,root,root)

%files postgresql -f file-lists/postgresql_list.txt
%defattr(-,root,root)

#%files pdfimport -f file-lists/orig/gid_Module_Optional_Extensions_PDFIMPORT
#%defattr(-,root,root)

#%files pythonscript -f file-lists/orig/gid_Module_Optional_Extensions_Script_Provider_For_Python
#%defattr(-,root,root)

%files bsh -f file-lists/orig/gid_Module_Optional_Extensions_Script_Provider_For_BS
%defattr(-,root,root)

#%files sdk -f file-lists/sdk_list.txt
#%defattr(-,root,root)
##%{_libdir}/girepository-1.0/LOKDocView-*.typelib
##%{_datadir}/gir-1.0/LOKDocView-*.gir

#%files sdk-doc -f file-lists/sdk_doc_list.txt
#%defattr(-,root,root)

#%files testtools -f file-lists/testtool_list.txt
#%defattr(-,root,root)

%define langpack(Ff:Hh:l:Mm:n:Yy:) \
%define lang %{-l:%{-l*}}%{!-l:%{error:Language code not defined}}\
%define langname %{-n:%{-n*}}%{!-n:%{error:Language name not defined}}\
%package langpack-%{lang}\
Summary:       %{langname} language support for LibreOffice\
Group:         System/Internationalization\
Provides:      %{name}-i18n-%{lang}\
Obsoletes:     %{name}-i18n-%{lang} < 7.1.2.2\
Obsoletes:     OpenOffice-i18n-%{lang} < 7.1.2.2\
%{-f:Recommends: langpacks-%{-f*}}%{!-f:%{-F:Recommends: langpacks-%{lang}}} \
%{-h:Requires: hunspell-%{-h*}}%{!-h:%{-H:Requires: hunspell-%{lang}}} \
%{-m:Requires: mythes-%{-m*}}%{!-m:%{-M:Requires: mythes-%{lang}}} \
%{-y:Requires: hyphen-%{-y*}}%{!-y:%{-Y:Requires: hyphen-%{lang}}} \
Supplements:   (%{name}-core = %{?epoch:%epoch:}%{version}-%{release} and langpacks-%{lang})\
\
%description langpack-%{lang}\
This package contains %{langname} translations and resources for LibreOffice.\
\
%files langpack-%{lang} -f file-lists/lang_%{lang}_list.txt\
%defattr(-,root,root)

%langpack -l af -n Afrikaans -F -H -Y
%langpack -l am -n Amharic -F
%langpack -l ar -n Arabic -F -H
%langpack -l as -n Assamese -F
%langpack -l ast -n Asturianu -F
%langpack -l be -n Belarusian -F
%langpack -l bg -n Bulgarian -F -H -Y -M
%langpack -l bn -n Bengali -F
%langpack -l bn_IN -n %{quote:Bengali (India)}
%langpack -l bo -n Tibetan -F
%langpack -l br -n Breton -F
%langpack -l brx -n Bodo
%langpack -l bs -n Bosnian -F
%langpack -l ca -n Catalan -F
%langpack -l ca_valencia -n %{quote:Catalan (Valencia)}
%langpack -l ckb -n %{quote:Sorani Kurdish}
%langpack -l cs -n Czech -F
%langpack -l cy -n Welsh -F
%langpack -l da -n Danish -F
%langpack -l de -n German -F
%langpack -l dgo -n Dogri
%langpack -l dsb -n %{quote:Lower Sorbian}
%langpack -l dz -n Dzongkha -F
%langpack -l el -n Greek -F
%langpack -l en_GB -n %{quote:English (GB)} -F -H -m en -y en
%langpack -l en_US -n %{quote:English (US)} -f en -H -m en -y en
%langpack -l en_ZA -n %{quote:English (ZA)} -f en -h en -m en -y en
%langpack -l eo -n Esperanto -F
%langpack -l es -n Spanish -F -H -Y -M
%langpack -l et -n Estonian -F
%langpack -l eu -n Basque -F
%langpack -l fa -n Persian -F
%langpack -l fi -n Finnish -F
%langpack -l fr -n French -F
%langpack -l fur -n Friulan
%langpack -l fy -n Frisian
%langpack -l ga -n Irish -F
%langpack -l gd -n %{quote:Gaelic (Scottish)}
%langpack -l gl -n Galician -F
%langpack -l gu -n Gujarati -F
%langpack -l gug -n %{quote:Paraguayan Guaraní}
%langpack -l he -n Hebrew -F -H
%langpack -l hi -n Hindi -F
%langpack -l hr -n Croatian -F
%langpack -l hsb -n %{quote:Upper Sorbian}
%langpack -l hu -n Hungarian -F
%langpack -l id -n Bahasa -F
%langpack -l is -n Icelandic -F
%langpack -l it -n Italian -F -H -Y -M
%langpack -l ja -n Japanese -F
%langpack -l ka -n Georgian -F
%langpack -l kab -n Kabyle
%langpack -l kk -n Kazakh -F
%langpack -l km -n %{quote:Khmer (Cambodia)} -F
%langpack -l kmr_Latn -n %{quote:Kurdish (Turkey)}
%langpack -l kn -n Kannada -F
%langpack -l ko -n Korean -F
%langpack -l kok -n Konkani
%langpack -l ks -n Kashmiri
%langpack -l lb -n Luxembourgish
%langpack -l lo -n Lao
%langpack -l lt -n Lithuanian -F
%langpack -l lv -n Latvian -F
%langpack -l mai -n Maithili
%langpack -l mk -n Macedonian -F
%langpack -l ml -n Malayalam -F
%langpack -l mn -n Mongolian
%langpack -l mni -n Manipuri
%langpack -l mr -n Marathi -F
%langpack -l my -n Burmese -F
%langpack -l ne -n Nepali -F
%langpack -l nb -n %{quote:Norwegian Bokmål} -F
%langpack -l nl -n Dutch -F
%langpack -l nn -n %{quote:Norwegian nynorsk} -F
%langpack -l nr -n %{quote:Southern Ndebele} -F
%langpack -l nso -n %{quote:Northern Sotho}
%langpack -l oc -n Occitan
%langpack -l om -n Oromo
%langpack -l or -n %{quote:Oriya (India)} -F
%langpack -l pa_IN -n Punjabi
%langpack -l pl -n Polish -F
%langpack -l pt -n Portuguese -F
%langpack -l pt_BR -n %{quote:Brazilian Portuguese} -F
%langpack -l ro -n Romanian -F
%langpack -l ru -n Russian -F
%langpack -l rw -n Kinyarwanda
%langpack -l sa_IN -n %{quote:Sanskrit (India)}
%langpack -l sat -n Santali
%langpack -l sd -n Sindhi
%langpack -l si -n Sinhalese -F
%langpack -l sid -n sid
%langpack -l sk -n Slovak -F
%langpack -l sl -n Slovenian -F
%langpack -l sq -n Albanien -F
%langpack -l sr -n Serbian -F
%langpack -l sr_Latn -n %{quote:Serbian latin} -f sr
%langpack -l ss -n Swati -F
%langpack -l st -n %{quote:Souther Sotho}
%langpack -l sv -n Swedish -F
%langpack -l sw_TZ -n %{quote:Swahili (Tanzania)}
%langpack -l szl -n Swaziland
%langpack -l ta -n Tamil -F
%langpack -l te -n Telugu -F
%langpack -l tg -n Tajik
%langpack -l th -n Thai -F
%langpack -l tn -n Tswana -F
%langpack -l tr -n Turkish -F
%langpack -l ts -n Tsonga -F
%langpack -l tt -n Tatar
%langpack -l ug -n Uighur
%langpack -l uk -n Ukrainian -F -H
%langpack -l uz -n Uzbek
%langpack -l ve -n Venda -F -H
%langpack -l vec -n Venetian
%langpack -l vi -n Vietnamese -F
%langpack -l xh -n Xhosa -F -H
%langpack -l zh_CN -n %{quote:Simplified Chinese} -F
%langpack -l zh_TW -n %{quote:Traditional Chinese} -F
%langpack -l zu -n Zulu -F -H -Y

%changelog
* Mon Oct 11 2021 Automatic Build System <autodist@mambasoft.it> 7.2.2.2-1mamba
- automatic version update by autodist

* Tue Sep 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 7.2.2.1-1mamba
- update to 7.2.2.1

* Thu Jun 10 2021 Automatic Build System <autodist@mambasoft.it> 7.1.4.2-1mamba
- automatic version update by autodist

* Sun May 30 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 7.1.4.1-1mamba
- update to 7.1.4.1

* Tue May 11 2021 Automatic Build System <autodist@mambasoft.it> 7.1.3.2-1mamba
- automatic version update by autodist

* Sun Mar 28 2021 Automatic Build System <autodist@mambasoft.it> 7.1.2.2-1mamba
- automatic version update by autodist

* Fri Mar 19 2021 Automatic Build System <autodist@mambasoft.it> 7.1.2.1-1mamba
- automatic version update by autodist

* Mon Mar 15 2021 Automatic Build System <autodist@mambasoft.it> 7.1.1.2-1mamba
- automatic version update by autodist

* Mon Feb 15 2021 Automatic Build System <autodist@mambasoft.it> 7.1.1.1-1mamba
- automatic version update by autodist

* Sat Jan 30 2021 Automatic Build System <autodist@mambasoft.it> 7.1.0.3-1mamba
- automatic version update by autodist

* Thu Jan 14 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 7.1.0.1-1mamba
- update to 7.1.0.1

* Thu Nov 19 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.3.1-1mamba
- update to 7.0.3.1

* Sat Sep 12 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.6.2-2mamba
- langpacks support

* Sun Aug 23 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.6.2-1mamba
- update to 6.4.6.2

* Mon Jul 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.6.1-1mamba
- update to 6.4.6.1

* Thu May 07 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.3.2-2mamba
- remove requirement for java-lucene in favour of clucene

* Fri Apr 17 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.3.2-1mamba
- update to 6.4.3.2

* Mon Dec 23 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3.4.2-1mamba
- update to 6.3.4.2

* Sat Nov 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3.3.2-1mamba
- update to 6.3.3.2

* Thu Oct 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3.2.2-1mamba
- update to 6.3.2.2

* Fri Apr 26 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2.3.2-1mamba
- update to 6.2.3.2

* Sun Mar 24 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2.2.2-1mamba
- update to 6.2.2.2

* Mon Feb 11 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2.0.3-1mamba
- update to 6.2.0.3

* Tue Oct 09 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 6.1.2.1-1mamba
- update to 6.1.2.1

* Wed Nov 16 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.3.3-1mamba
- update to 5.2.3.3

* Thu Oct 13 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.2.2-1mamba
- update to 5.2.2.2

* Thu May 19 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.3.2-1mamba
- update to 5.1.3.2

* Wed Feb 17 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.1.1-1mamba
- update to 5.1.1.1

* Mon Jan 18 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.4.2-1mamba
- update to 5.0.4.2

* Fri Nov 13 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.3.2-1mamba
- update to 5.0.3.2

* Wed Sep 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.2.1-1mamba
- update to 5.0.2.1

* Tue Jun 30 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.0.2-1mamba
- update to 5.0.0.2

* Sun May 10 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.3.2-1mamba
- update to 4.4.3.2

* Thu Apr 30 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.2.2-1mamba
- update to 4.4.2.2

* Tue Mar 31 2015 Automatic Build System <autodist@mambasoft.it> 4.4.1.2-1mamba
- automatic update by autodist

* Tue Feb 17 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.1.1-1mamba
- update to 4.4.1.1

* Sat Dec 27 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.5.2-1mamba
- update to 4.3.5.2

* Sun Nov 16 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.4.1-1mamba
- update to 4.3.4.1

* Sun Nov 02 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.3.2-1mamba
- update to 4.3.3.2

* Sun Oct 26 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.2.2-2mamba
- rebuild with --enable-release-build

* Thu Oct 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.2.2-1mamba
- update to 4.3.2.2

* Mon Jul 21 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.0.3-1mamba
- update to 4.3.0.3

* Sun May 11 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.4.2-1mamba
- update to 4.2.4.2

* Sun Apr 13 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.3.3-1mamba
- update to 4.2.3.3

* Fri Mar 07 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.2.1-1mamba
- update to 4.2.2.1

* Sat Feb 01 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.0.4-1mamba
- update to 4.2.0.4

* Mon Dec 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.4.1-1mamba
- update to 4.1.4.1

* Sat Nov 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.3.2-1mamba
- update to 4.1.3.2

* Thu Oct 10 2013 Automatic Build System <autodist@mambasoft.it> 4.1.2.3-1mamba
- update to 4.1.2.3

* Fri Aug 30 2013 Automatic Build System <autodist@mambasoft.it> 4.1.1.2-1mamba
- update to 4.1.1.2

* Fri Jul 26 2013 Automatic Build System <autodist@mambasoft.it> 4.1.0.4-1mamba
- update to 4.1.0.4

* Mon Jul 22 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.4.2-2mamba
- rebuilt with libpoppler 0.22.5, libboost 1.54 and libexttextcat 3.4.3

* Wed Jun 19 2013 Automatic Build System <autodist@mambasoft.it> 4.0.4.2-1mamba
- update to 4.0.4.2

* Sat May 11 2013 Automatic Build System <autodist@mambasoft.it> 4.0.3.3-1mamba
- update to 4.0.3.3

* Wed Mar 13 2013 Automatic Build System <autodist@mambasoft.it> 4.0.1.2-1mamba
- update to 4.0.1.2

* Mon Feb 11 2013 Automatic Build System <autodist@mambasoft.it> 4.0.0.3-1mamba
- update to 4.0.0.3

* Sun Feb 03 2013 Automatic Build System <autodist@mambasoft.it> 3.6.5.2-1mamba
- update to 3.6.5.2

* Tue Jul 31 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0.4-1mamba
- update to 3.6.0.4

* Thu Jun 07 2012 Automatic Build System <autodist@mambasoft.it> 3.5.4.2-1mamba
- update to 3.5.4.2

* Fri May 04 2012 Automatic Build System <autodist@mambasoft.it> 3.5.3.2-1mamba
- update to 3.5.3.2

* Wed Jan 25 2012 Automatic Build System <autodist@mambasoft.it> 3.4.5.2-1mamba
- update to 3.4.5.2

* Mon Nov 14 2011 Automatic Build System <autodist@mambasoft.it> 3.4.4.2-1mamba
- update to 3.4.4.2

* Tue Oct 18 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.3.2-3mamba
- use make distro-pack-install to provide upstream maintained installation and package lists for distributions
- enable extensions build
- provide openmamba customized intro image

* Sat Oct 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.3.2-2mamba
- rebuilt with db 5.1; use make for build

* Wed Oct 12 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.3.2-1mamba
- update to 3.4.3.2

* Tue Mar 15 2011 gil <puntogil@libero.it> 3.3.2.1-1mamba
- update to 3.3.2.1

* Fri Mar 04 2011 gil <puntogil@libero.it> 3.3.1.2-2mamba
- fix wrong soffice home in libreoffice script

* Wed Mar 02 2011 gil <puntogil@libero.it> 3.3.1.2-1mamba
- update to 3.3.1.2

* Sat Jan 22 2011 gil <puntogil@libero.it> 3.3.0.4-1mamba
- package created by autospec
